Subject: bug#6816: df bug on 64-bit Solaris (need to use getextmntent)

From: Bruno Haible <[email-masked]>
Date: Thu, 11 Oct 2018 01:54:40 +0200

Hi Assaf,

> In 2014 gnulib gained the following commit:
> https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=502809019bd2ca3ce3d041d18c35ce9420eedb72
> ===
> commit 502809019bd2ca3ce3d041d18c35ce9420eedb72
> Author: Ben Walton <[email-masked]>
> Date:   Tue Jun 3 23:01:14 2014 +0100
> 
>      mountlist: avoid hasmntopt const type warning on solaris
> ===
> 
> Which seems to address a similar issue as this bug ( 
> https://bugs.gnu.org/6816 ).

I don't think it's the same bug. Gnulib still does not use getextmntent.

> I think recent coreutils build well on 64bit solaris.

According to the cited man page, the effect of not using getextmntent
is visible at run-time, not at compile-time.

> If there are no objections I will close this bug in couple of days.

Objection.

Bruno